Bug 815288 - [eap6] configuration of mime-mapping fails
[eap6] configuration of mime-mapping fails
Status: NEW
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
4.4
Unspecified Unspecified
low Severity unspecified (vote)
: ---
: RHQ 4.13
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: as7-plugin 911633
  Show dependency treegraph
 
Reported: 2012-04-23 05:46 EDT by Libor Zoubek
Modified: 2015-11-01 19:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2012-04-23 05:46:00 EDT
Description of problem: Configuring EAP6 web subsystem fails if I try to add mime-mapping


Version-Release number of selected component (if applicable):

EAP6 ER5

How reproducible:always


Steps to Reproduce:
1.import EAP6 in standalone mode
2.go to web subystem configuration
3.add new mime-mapping, save
  
Actual results: Configuration fails:

java.lang.IllegalArgumentException: Member names in a :collapsed map must end in :0 and :1
	at org.rhq.modules.plugins.jbossas7.ConfigurationWriteDelegate.prepareCollapsedPropertyMap(ConfigurationWriteDelegate.java:535)
	at org.rhq.modules.plugins.jbossas7.ConfigurationWriteDelegate.preparePropertyList(ConfigurationWriteDelegate.java:484)
	at org.rhq.modules.plugins.jbossas7.ConfigurationWriteDelegate.createWriteAttributePropertyList(ConfigurationWriteDelegate.java:403)
	at org.rhq.modules.plugins.jbossas7.ConfigurationWriteDelegate.createWriteAttribute(ConfigurationWriteDelegate.java:300)
	at org.rhq.modules.plugins.jbossas7.ConfigurationWriteDelegate.updateProperty(ConfigurationWriteDelegate.java:288)
	at org.rhq.modules.plugins.jbossas7.ConfigurationWriteDelegate.updateGenerateOperationFromProperties(ConfigurationWriteDelegate.java:221)
	at org.rhq.modules.plugins.jbossas7.ConfigurationWriteDelegate.updateResourceConfiguration(ConfigurationWriteDelegate.java:97)
	at org.rhq.modules.plugins.jbossas7.BaseComponent.updateResourceConfiguration(BaseComponent.java:279)


Expected results: configuration saves successfully


Additional info:
Comment 1 Libor Zoubek 2012-04-23 05:50:10 EDT
forgot to add Version: 4.4.0-SNAPSHOT Build Number: 28e565c
Comment 2 Heiko W. Rupp 2012-04-23 09:50:39 EDT
Mime mappings in as7.1 / eap6 do not follow the generic as7 configuration model as child resources, 
but need to be added/removed via :add-mime and :remove-mime commands

[15:26:23] <+ctomc> pilhuhn: mime type was not (yet) converted to child resource... what exacly do you need? there are operations for adding and removing mime types, for listing you have to read the complex attribute
[15:27:00] <pilhuhn> ctomc adding/changing. Are you going to convert that? If so , when?
[15:27:35] <+ctomc> pilhuhn: unfortunatly after eap, as changing this would break model api compatibilty


This is currently not exposed by console.

Also AS7 has massive problems here: 15:41:23,595 INFO  [org.jboss.as] (MSC service thread 1-3) JBAS015874: JBoss EAP 6.0.0.Beta2 (AS 7.1.1.Final-redhat-1) started in 4233ms - Started 175 of 255 services (79 services are passive or on-demand)
15:41:23,653 INFO  [org.jboss.as.server] (DeploymentScanner-threads - 2) JBAS018559: Deployed "test-simple.war"
15:42:54,729 INFO  [org.jboss.as.logging] JBAS011503: Restored bootstrap log handlers
15:42:54,734 INFO  [org.jboss.as.osgi] JBAS011942: Stopping OSGi Framework
15:42:54,805 INFO  [com.arjuna.ats.jbossatx] ARJUNA032018: Destroying TransactionManagerService
15:42:54,807 INFO  [com.arjuna.ats.jbossatx] ARJUNA032014: Stopping transaction recovery manager
15:42:54,812 INFO  [org.jboss.as.server.deployment] JBAS015877: Stopped deployment test-simple.war in 103ms
15:42:54,814 INFO  [org.jboss.as.connector.subsystems.datasources] JBAS010409: Unbound data source [java:jboss/datasources/ExampleDS]
15:42:54,815 INFO  [org.jboss.as.mail.extension] JBAS015401: Unbound mail session [java:jboss/mail/Default]
15:42:54,819 INFO  [org.jboss.as] JBAS015950: JBoss EAP 6.0.0.Beta2 (AS 7.1.1.Final-redhat-1) stopped in 111ms
15:42:54,819 INFO  [org.jboss.as] JBAS015899: JBoss EAP 6.0.0.Beta2 (AS 7.1.1.Final-redhat-1) starting
15:42:54,930 INFO  [org.jboss.as.server] JBAS015888: Creating http management service using socket-binding (management-http)
15:42:54,937 INFO  [org.jboss.as.configadmin] JBAS016200: Activating ConfigAdmin Subsystem
15:42:54,938 INFO  [org.jboss.as.clustering.infinispan] JBAS010280: Activating Infinispan subsystem.
15:42:54,940 INFO  [org.jboss.as.naming] JBAS011800: Activating Naming Subsystem
15:42:54,941 INFO  [org.jboss.as.osgi] JBAS011940: Activating OSGi Subsystem
15:42:54,947 INFO  [org.jboss.as.security] JBAS013101: Activating Security Subsystem
15:42:54,949 INFO  [org.jboss.as.webservices] JBAS015537: Activating WebServices Extension
15:42:54,969 INFO  [org.jboss.as.connector.subsystems.datasources] JBAS010403: Deploying JDBC-compliant driver class org.h2.Driver (version 1.3)
15:42:54,954 ERROR [org.jboss.as.controller.management-operation] JBAS014612: Operation ("add") failed - address: ([("subsystem" => "web")]): java.lang.IllegalArgumentException
	at org.jboss.dmr.ModelValue.asPropertyList(ModelValue.java:100) [jboss-dmr-1.1.1.Final-redhat-1.jar:1.1.1.Final-redhat-1]
	at org.jboss.dmr.ModelNode.asPropertyList(ModelNode.java:360) [jboss-dmr-1.1.1.Final-redhat-1.jar:1.1.1.Final-redhat-1]
	at org.jboss.as.web.SharedWebMetaDataBuilder.init(SharedWebMetaDataBuilder.java:73)
	at org.jboss.as.web.SharedWebMetaDataBuilder.<init>(SharedWebMetaDataBuilder.java:67)
	at org.jboss.as.web.WebSubsystemAdd$1.execute(WebSubsystemAdd.java:102)
	at org.jboss.as.server.AbstractDeploymentChainStep.execute(AbstractDeploymentChainStep.java:45)
	at org.jboss.as.controller.AbstractOperationContext.executeStep(AbstractOperationContext.java:385) [jboss-as-controller-7.1.1.Final-redhat-1.jar:7.1.1.Final-redhat-1]
	at org.jboss.as.controller.AbstractOperationContext.doCompleteStep(AbstractOperationContext.java:272) [jboss-as-controller-7.1.1.Final-redhat-1.jar:7.1.1.Final-redhat-1]
	at org.jboss.as.controller.AbstractOperationContext.completeStep(AbstractOperationContext.java:200) [jboss-as-controller-7.1.1.Final-redhat-1.jar:7.1.1.Final-redhat-1]
	at org.jboss.as.controller.ParallelBootOperationStepHandler$ParallelBootTask.run(ParallelBootOperationStepHandler.java:311) [jboss-as-controller-7.1.1.Final-redhat-1.jar:7.1.1.Final-redhat-1]
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886) [classes.jar:1.6.0_31]
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908) [classes.jar:1.6.0_31]
	at java.lang.Thread.run(Thread.java:680) [classes.jar:1.6.0_31]
	at org.jboss.threads.JBossThread.run(JBossThread.java:122) [jboss-threads-2.0.0.GA-redhat-1.jar:2.0.0.GA-redhat-1]

15:42:54,961 INFO  [org.jboss.as.connector] JBAS010408: Starting JCA Subsystem (JBoss IronJacamar 1.0.9.Final-redhat-1)
15:42:54,967 INFO  [org.jboss.as.naming] JBAS011802: Starting Naming Service
15:42:54,971 INFO  [org.jboss.as.security] JBAS013100: Current PicketBox version=4.0.7.Final-redhat-1
15:42:54,958 INFO  [org.jboss.as.logging] JBAS011502: Removing bootstrap log handlers




See https://issues.jboss.org/browse/AS7-4592
Comment 3 Heiko W. Rupp 2012-05-02 05:44:37 EDT
This is supposed to be fixed in 7.1.2-final
Comment 4 Mike Foley 2012-05-09 14:17:52 EDT
Libor ... dev is having trouble reproducing.  can you provide more detailed repro steps?
Comment 5 Libor Zoubek 2012-05-10 08:06:41 EDT
Adding/removing mime types has been temporarily removed from RHQ UI
Comment 7 Jay Shaughnessy 2013-09-12 12:02:34 EDT
Perhaps this is solved now that RHQ 4.9 is built on EAP 6.1's base AS version.  re-target to 4.10 for heiko to revisit...
Comment 8 Heiko W. Rupp 2014-05-08 10:42:58 EDT
Bump the target version now that 4.11 is out.
Comment 9 Jay Shaughnessy 2014-07-07 13:56:27 EDT
I'm not sure this is even relevant anymore given EAP but re-setting to 4.13.

Note You need to log in before you can comment on or make changes to this bug.